Subject: bug#731: 23.0.60; Varying point position after undo

From: Markus Triska <[email-masked]>
Date: Fri, 19 Sep 2008 15:23:24 +0200

martin rudalics <[email-masked]> writes:

> So the initial values of `buffer-undo-list' differ wrt when you open the
> file via the command line or `find-file'.  Can you tell us how?

buffer-undo-list is initially nil regardless of how I open the file.
When I open the file from the command line and then press C-M-x on the
first form, `buffer-undo-list' is with CVS trunk:

   (nil
    (96 . 106)
    (t 18643 . 10108))

whereas with Emacs 22.2, it is:

   (nil
    (96 . 106)
    1
    (t 18643 . 10108))

Starting anew with CVS trunk, after I do C-M-x C-_ M-< C-M-x, it is:

   (nil
    (96 . 106)
    1
    (t 18643 . 10108)
    nil
    (#("test line\n" 0 10
       (fontified t))
     . 96)
    nil
    (96 . 106)
    (t 18643 . 10108))

When I do the same with Emacs 22.2, it is:

   (nil
    (96 . 106)
    1
    (t 18643 . 10108)
    nil
    (#("test line\n" 0 10
       (fontified t))
     . 96)
    nil
    (96 . 106)
    1
    (t 18643 . 10108))

With CVS trunk, when I open the file with C-x C-f and do C-M-x, it is:

   (nil
    (96 . 106)
    1
    (t 18643 . 10108))